!+ Function to set extrapolation flag for the net solver
!
! Method:
!	Straightforward.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77 with extensions listed in documentation. 
!
!- ---------------------------------------------------------------------
      FUNCTION L_SET_MIX_EXTRAPOLATE(I_EXTRAPOLATE_MIX_NET)
!
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/mix_extrapolate.pcf'
!
!
!     DUMMY ARGUMENTS.
      INTEGER	!, INTENT(IN)
     &     I_EXTRAPOLATE_MIX_NET
!             FLAG FOR EXTRAPOLATEION SCHEME FOR MIXED SOLVER
      LOGICAL	!, INTENT(OUT)
     &     L_SET_MIX_EXTRAPOLATE
!             NAME OF FUNCTION
!
!
      IF (I_EXTRAPOLATE_MIX_NET.EQ.IP_MN_NO_EXTRAPOLATE) THEN
         L_SET_MIX_EXTRAPOLATE=.FALSE.
      ELSE IF (I_EXTRAPOLATE_MIX_NET.EQ.IP_MN_FULL_EXTRAPOLATE) THEN
         L_SET_MIX_EXTRAPOLATE=.TRUE.
      ENDIF
!
!
!
      RETURN
      END
